import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { TSTypeParameterInstantiation } from "./TSTypeParameterInstantiation";
export declare class TSClassImplements extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSClassImplements(expression?: Expression, typeParameters?: TSTypeParameterInstantiation): TSClassImplements;
    static updateTSClassImplements(original?: TSClassImplements, expression?: Expression, typeParameters?: TSTypeParameterInstantiation): TSClassImplements;
    static update1TSClassImplements(original?: TSClassImplements, expression?: Expression): TSClassImplements;
    get expr(): Expression | undefined;
    get typeParameters(): TSTypeParameterInstantiation | undefined;
    protected readonly brandTSClassImplements: undefined;
}
export declare function isTSClassImplements(node: object | undefined): node is TSClassImplements;
